import { ResolveOptions, ResolveResult } from '.';
import { PackageSpec } from '../install';
/**
 * Resolves a package in the NPM registry. Done as part of `install()`.
 *
 * @example
 *     var npa = require('npm-package-arg')
 *     resolve(npa('rimraf@2'))
 *       .then((res) => {
 *         res.id == 'rimraf@2.5.1'
 *         res.dist == {
 *           shasum: '0a1b2c...'
 *           tarball: 'http://...'
 *         }
 *       })
 */
export default function resolveNpm(spec: PackageSpec, opts: ResolveOptions): Promise<ResolveResult>;
