import { LoggerType } from './logger';
export declare type PnpmOptions = {
    cwd?: string;
    global?: boolean;
    globalPath?: string;
    storePath?: string;
    silent?: boolean;
    logger?: LoggerType;
    ignoreScripts?: boolean;
    save?: boolean;
    saveDev?: boolean;
    saveOptional?: boolean;
    production?: boolean;
    fetchRetries?: number;
    fetchRetryFactor?: number;
    fetchRetryMintimeout?: number;
    fetchRetryMaxtimeout?: number;
    saveExact?: boolean;
    force?: boolean;
    linkLocal?: boolean;
    proxy?: string;
    httpsProxy?: string;
    localAddress?: string;
    cert?: string;
    key?: string;
    ca?: string;
    strictSsl?: boolean;
    userAgent?: string;
    tag?: string;
};
export declare type StrictPnpmOptions = {
    cwd: string;
    global: boolean;
    globalPath: string;
    storePath: string;
    silent: boolean;
    logger: LoggerType;
    ignoreScripts: boolean;
    save: boolean;
    saveDev: boolean;
    saveOptional: boolean;
    production: boolean;
    fetchRetries: number;
    fetchRetryFactor: number;
    fetchRetryMintimeout: number;
    fetchRetryMaxtimeout: number;
    saveExact: boolean;
    force: boolean;
    linkLocal: boolean;
    proxy?: string;
    httpsProxy?: string;
    localAddress?: string;
    cert?: string;
    key?: string;
    ca?: string;
    strictSsl: boolean;
    userAgent?: string;
    tag: string;
};
export declare type Dependencies = {
    [name: string]: string;
};
export declare type Package = {
    name: string;
    version: string;
    bin?: string | {
        [name: string]: string;
    };
    dependencies?: Dependencies;
    devDependencies?: Dependencies;
    optionalDependencies?: Dependencies;
    scripts?: {
        [name: string]: string;
    };
};
